grouped_dt {dplyr} | R Documentation

## A grouped data table.

### Description

The easiest way to create a grouped data table is to call the `group_by` method on a data table or tbl: this will take care of capturing the unevalated expressions for you.

### Usage

    grouped_dt(data, vars, copy = TRUE)

    is.grouped_dt(x)

### Arguments

`data` | a tbl or data frame.
`vars` | a list of quoted variables.
`copy` | If `TRUE`, will make copy of input.
`x` | an object to check

### Examples

    if (require("data.table") && require("nycflights13")) {
    flights_dt <- tbl_dt(flights)
    group_size(group_by(flights_dt, year, month, day))
    group_size(group_by(flights_dt, dest))

    monthly <- group_by(flights_dt, month)
    summarise(monthly, n = n(), delay = mean(arr_delay))
    }

[Package dplyr version 0.4.3 Index]